UI::Util::Http::StatusLine Class Reference

Parse and represent a response's status line. More...

`#include <Header.hpp>`

Collaboration diagram for UI::Util::Http::StatusLine:

## Public Types

typedef unsigned int | Code

## Public Member Functions

| StatusLine (Code const &code=200, std::string const &reason="OK", std::string const &version="HTTP/1.1")
| Construct from components.
| StatusLine (std::string const &line)
| Construct from composition (parse).
std::string | get () const
| Get composition.
Set (and validate) components.
StatusLine & | setCode (Code const &code)
StatusLine & | setCode (std::string const &code)
StatusLine & | setReason (std::string const &reason)
StatusLine & | setVersion (std::string const &version)
Get components.
Code const & | getCode () const
std::string | getCodeStr () const
std::string const & | getReason () const
std::string const & | getVersion () const

## Detailed Description

Parse and represent a response's status line.

See also
  RFC 2616, 6.1.

Example status line: "HTTP/1.1 550 Internal Server Error"

The documentation for this class was generated from the following files:

- Header.hpp
- Header.cpp